Subject: bug#64310: 29.0.92; pure-GTK warning under Wayland

From: Po Lu <[email-masked]>
Date: Sat, 12 Aug 2023 16:56:01 +0800

Eli Zaretskii <[email-masked]> writes:

>> From: Po Lu <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Sat, 12 Aug 2023 15:06:58 +0800
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > Ping! Ping!
>> 
>> I am at a loss here, because I'm incapable of reproducing the problem
>> myself: WAYLAND_DISPLAY is set when emacsclient is run from the desktop
>> entry, so Emacs just connects to that.
>
> If the bug is not reproducible, we can close it as such.
>
>> Do we have an option that prompts emacsclient to print the output it's
>> sending through the server socket?
>
> No, but it should be easy to add this: see send_to_emacs in
> emacsclient.c.  You can also see what was received by the server if
> you set server-log non-nil: then the server will log the received
> directives in the " *server*" buffer.
>
> Not sure how this would help you, given the description of the
> original problem, though.  Am I missing something?

It occured to me that such logs from Pankaj's machine might help me
devise a fix or the means to reproduce the problem myself.